
Ryzom - Support # 1518

Status: Resolved Priority: Normal
Author: jasona Category: Build
Created: 01/08/2013 Assignee: kervala
Updated: 01/08/2013 Due date:
Subject: need help with libsquish compile
Description

Using Ubuntu 12.10 Server.  Ran all setup steps OK up to squish

Downloaded and extracted source from http://hg.kervala.net/packaging/file/
Extracted it

followed the directions up to cmake ..

jason@shardsrv1:/kervalapackage/packaging-1a73978c2a64/squish/build$ cmake ..
CMake Error at CMakeLists.txt:19 (MESSAGE):
  Unable to find common.cmake! Please place it in CMakeModules subdirectory,
  set CMAKE_MODULE_PATH environement variable or set CMAKE_MODULES_DIR or
  CMAKE_MODULE_PATH parameter to CMake.

-- Configuring incomplete, errors occurred!
CMake Error: Cannot open file for write: /kervalapackage/packaging-1a73978c2a64/squish/build/CMakeCache.txt.tmp
CMake Error: : System Error: Permission denied
CMake Error: Unable to open cache file for save. /kervalapackage/packaging-1a73978c2a64/squish/build/CMakeCache.txt
CMake Error: : System Error: Permission denied
jason@shardsrv1:/kervalapackage/packaging-1a73978c2a64/squish/build$

I am a noob when it comes to CMAKE and my google is failing me on finding out what to do.  Can you point me in the right direction
as to what I need to do to compile this?

History
#1 - 01/08/2013 11:43 am - kervala
- Category set to Build
- Status changed from New to Assigned
- Assignee set to kervala

Sorry, that's my fault :(

I didn't update the wiki page... I just updated it.

I paste what I changed :

hg clone http://hg.kervala.net/packaging
hg clone http://hg.kervala.net/cmake

export CMAKE_MODULE_PATH=$(pwd)/cmake/modules
cd packaging/squish
mkdir build
cd build
cmake ..
make
sudo make install

Basically, since I'm using the same cmake modules for all projects, I decided to put them in a distinct repository.

#2 - 01/08/2013 06:33 pm - jasona

I had to put a bash in front to make export work

jason@shardsrv1:/repo/packaging/squish/build$ sudo bash -c "export CMAKE_MODULE_PATH=$(pwd)/cmake/modules" 
[sudo] password for jason:
jason@shardsrv1:/repo/packaging/squish/build$

then cmake ..

sudo cmake ..                     CMake Error at CMakeLists.txt:19 (MESSAGE):
  Unable to find common.cmake! Please place it in CMakeModules subdirectory,
  set CMAKE_MODULE_PATH environement variable or set CMAKE_MODULES_DIR or
  CMAKE_MODULE_PATH parameter to CMake.

-- Configuring incomplete, errors occurred!

I also tried changing export CMAKE_MODULE_PATH=$(pwd)/cmake/modules to export CMAKE_MODULE_PATH=$(pwd)/repo/cmake/modules
which is my actual full path, same error.

#3 - 01/08/2013 06:40 pm - kervala

Are you sure your current user has the CMAKE_MODULE_PATH environment variable set ?

echo $CMAKE_MODULE_PATH

#4 - 01/08/2013 07:32 pm - jasona

It works.  Setting the path didn't work under the user with sudo.  Dropped down to root and everything worked great compile was good.  On to the next
steps.

#5 - 01/08/2013 08:15 pm - kervala
- Status changed from Assigned to Resolved
- Target version set to Version 0.9.0

08/23/2018 2/3



- % Done changed from 0 to 100

Thanks, good to know :)
